@ECHO OFF
REM *********************************************************************
REM *                                                                   *
REM * UKAD Paket   : UKAD.BAT (Modem Batchfile fr RFC/PPP-Box)         *
REM * Version      : 1.50g                                              *
REM * Compilation  : Thomas Gohel (gohel@basicguru.com)                 *
REM * Last Files at: http://www.gohel.de                                *
REM *                                                                   *
REM *********************************************************************
REM
REM Diese Batchdatei einfach als Mail-Client in die RFC/PPP-Box von Cross-
REM Point eintragen und gegebenfalls vorher noch anpassen. Bitte dazu noch
REM vorher INSTALL.TXT lesen
REM
REM ---------------------------------------------------------------------
REM Konfiguration fr EPPP-Treiber erstellen, Paketdriver installieren
REM und Verbindung aufbauen
REM ---------------------------------------------------------------------
SET-CFG.EXE %1 /PPP
ECHO Connecting ...
EPPPDD.EXE file ppp.cfg > pppd.log
REM
REM ---------------------------------------------------------------------
REM Konfiguration setzen und gegebenfalls Netcall abbrechen (es konnte
REM z.B. keine Verbindung hergestellt werden
REM ---------------------------------------------------------------------
SET-CFG.EXE %1 /IP
IF ERRORLEVEL 2 GOTO Ende
REM
REM ---------------------------------------------------------------------
REM Porttreiber (setzt TCP/IP auf COM um)
REM Syntax: TCPPORT <pop.t-online.de> <Port> <Client> <BFG-File> <Option>
REM
REM Pop3-Server abfragen (Mail holen)
REM ---------------------------------------------------------------------
ECHO Starte TCPPORT ...
TCPPORT.EXE pop.t-online.de 110 E-MAIL16.EXE %1 /Pop3
REM
REM ---------------------------------------------------------------------
REM Smtp-Server kontakten (Mail versenden sofern im Spoolverzeichnis auch
REM Spoolfiles vorhanden sind)
REM ---------------------------------------------------------------------
IF NOT EXIST SPOOL\M*.OUT GOTO News
ECHO Starte TCPPORT ...
TCPPORT.EXE mailto.t-online.de 25 E-MAIL16.EXE %1 /Smtp
REM
REM ---------------------------------------------------------------------
REM Nntp-Server kontakten (News holen und Postings versenden)
REM ---------------------------------------------------------------------
:News
ECHO Starte TCPPORT ...
TCPPORT.EXE news.t-online.de 119 E-NEWS16.EXE %1
REM
REM ---------------------------------------------------------------------
REM Verbindung beenden und Pakettreiber entfernen
REM ---------------------------------------------------------------------
:Ende
TERMIN.COM 0x60
